# Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.
package LegacyPanel::Entity::Domain;

use strict;
use warnings;

use LegacyPanel::Entity;

use vars qw(@ISA);
@ISA = qw/ LegacyPanel::Entity /;

sub new($$) {
  my ($class, $internalId) = @_;

  my $self = { };
  bless $self, $class;
  $self->_setId($internalId);
  $self->_initLoad();
  return $self;
}

# "Abstract" methods

# instance 

sub getEntityType {
  return 'domain';
}
sub getChildType {
  return undef;
}

sub _initLoad($)      { die "Redefine me!"; }

sub getConsumedDiskSpace { die "Redefine me!"; }

1;

